# Uses of Interface
java.lang.foreign.SymbolLookup

Packages that use SymbolLookupPREVIEW
Package
Description
java.lang.foreign
Provides low-level access to memory and functions outside the Java runtime.

## Uses of SymbolLookupPREVIEW in java.lang.foreign

Methods in java.lang.foreign that return SymbolLookupPREVIEW
Modifier and Type
Method
Description
`SymbolLookupPREVIEW`
Linker.`defaultLookup()`
Returns a symbol lookup for symbols in a set of commonly used libraries.
`static SymbolLookupPREVIEW`
SymbolLookup.`libraryLookup(String name, ArenaPREVIEW arena)`
Loads a library with the given name (if not already loaded) and creates a symbol lookup for symbols in that library.
`static SymbolLookupPREVIEW`
SymbolLookup.`libraryLookup(Path path, ArenaPREVIEW arena)`
Loads a library from the given path (if not already loaded) and creates a symbol lookup for symbols in that library.
`static SymbolLookupPREVIEW`
SymbolLookup.`loaderLookup()`
Returns a symbol lookup for symbols in the libraries associated with the caller's class loader.
`default SymbolLookupPREVIEW`
SymbolLookup.`or(SymbolLookupPREVIEW other)`
Returns a composed symbol lookup that returns result of finding the symbol with this lookup if found, otherwise returns the result of finding the symbol with the other lookup.
Methods in java.lang.foreign with parameters of type SymbolLookupPREVIEW
Modifier and Type
Method
Description
`default SymbolLookupPREVIEW`
SymbolLookup.`or(SymbolLookupPREVIEW other)`
Returns a composed symbol lookup that returns result of finding the symbol with this lookup if found, otherwise returns the result of finding the symbol with the other lookup.